### Type parameters

- #### TValue

### Hierarchy

- LoDashExplicitWrapper

## Index

### Methods

- chunk
- compact
- concat
- difference
- differenceBy
- differenceWith
- drop
- dropRight
- dropRightWhile
- dropWhile
- fill
- findIndex
- findLastIndex
- first
- flatten
- flattenDeep
- flattenDepth
- fromPairs
- head
- indexOf
- initial
- intersection
- intersectionBy
- intersectionWith
- join
- last
- lastIndexOf
- nth
- pull
- pullAll
- remove
- slice
- sortedIndex
- sortedIndexBy
- sortedIndexOf
- sortedLastIndex
- sortedLastIndexBy
- sortedLastIndexOf
- sortedUniq
- sortedUniqBy
- tail
- take
- takeRight
- takeRightWhile
- takeWhile
- union
- unionBy
- unionWith
- uniq
- uniqBy
- uniqWith
- unzip
- unzipWith
- without
- xor
- xorBy
- xorWith
- zip
- zipObject
- zipObjectDeep
- zipWith

## Methods

### chunk

- chunk<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, size?: undefined | number): LoDashExplicitWrapper<T[][]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:34
  see

    _.chunk

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional size: undefined | number

  #### Returns LoDashExplicitWrapper<T[][]>

### compact

- compact<T>(this: LoDashExplicitWrapper<List<T | null | undefined | false | "" | 0> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:64
  see

    _.compact

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T | null | undefined | false | "" | 0> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### concat

- concat<T>(this: LoDashExplicitWrapper<Many<T>>, ...values: Array<Many<T>>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:103
  see

    _.compact

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<Many<T>>

  - ##### Rest ...values: Array<Many<T>>

  #### Returns LoDashExplicitWrapper<T[]>

### difference

- difference<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...values: Array<List<T>>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:137
  see

    _.difference

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...values: Array<List<T>>

  #### Returns LoDashExplicitWrapper<T[]>

### differenceBy

- differenceBy<T1, T2>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values: List<T2>, iteratee: ValueIteratee<T1 | T2>): LoDashExplicitWrapper<T1[]>
- differenceBy<T1, T2, T3>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, iteratee: ValueIteratee<T1 | T2 | T3>): LoDashExplicitWrapper<T1[]>
- differenceBy<T1, T2, T3, T4>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, values3: List<T4>, iteratee: ValueIteratee<T1 | T2 | T3 | T4>): LoDashExplicitWrapper<T1[]>
- differenceBy<T1, T2, T3, T4, T5>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, values3: List<T4>, values4: List<T5>, iteratee: ValueIteratee<T1 | T2 | T3 | T4 | T5>): LoDashExplicitWrapper<T1[]>
- differenceBy<T1, T2, T3, T4, T5, T6>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, values3: List<T4>, values4: List<T5>, values5: List<T6>, iteratee: ValueIteratee<T1 | T2 | T3 | T4 | T5 | T6>): LoDashExplicitWrapper<T1[]>
- differenceBy<T1, T2, T3, T4, T5, T6, T7>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, values3: List<T4>, values4: List<T5>, values5: List<T6>, ...values: Array<List<T7> | ValueIteratee<T1 | T2 | T3 | T4 | T5 | T6 | T7>>): LoDashExplicitWrapper<T1[]>
- differenceBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...values: Array<List<T>>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:312
  see

    _.differenceBy

  #### Type parameters

  - #### T1

  - #### T2

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values: List<T2>

  - ##### iteratee: ValueIteratee<T1 | T2>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:321
  see

    _.differenceBy

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### iteratee: ValueIteratee<T1 | T2 | T3>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:331
  see

    _.differenceBy

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### values3: List<T4>

  - ##### iteratee: ValueIteratee<T1 | T2 | T3 | T4>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:342
  see

    _.differenceBy

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### values3: List<T4>

  - ##### values4: List<T5>

  - ##### iteratee: ValueIteratee<T1 | T2 | T3 | T4 | T5>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:354
  see

    _.differenceBy

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### values3: List<T4>

  - ##### values4: List<T5>

  - ##### values5: List<T6>

  - ##### iteratee: ValueIteratee<T1 | T2 | T3 | T4 | T5 | T6>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:367
  see

    _.differenceBy

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### T7

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### values3: List<T4>

  - ##### values4: List<T5>

  - ##### values5: List<T6>

  - ##### Rest ...values: Array<List<T7> | ValueIteratee<T1 | T2 | T3 | T4 | T5 | T6 | T7>>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:380
  see

    _.differenceBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...values: Array<List<T>>

  #### Returns LoDashExplicitWrapper<T[]>

### differenceWith

- differenceWith<T1, T2>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values: List<T2>, comparator: Comparator2<T1, T2>): LoDashExplicitWrapper<T1[]>
- differenceWith<T1, T2, T3>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, comparator: Comparator2<T1, T2 | T3>): LoDashExplicitWrapper<T1[]>
- differenceWith<T1, T2, T3, T4>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, ...values: Array<List<T4> | Comparator2<T1, T2 | T3 | T4>>): LoDashExplicitWrapper<T1[]>
- differenceWith<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...values: Array<List<T>>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:483
  see

    _.differenceWith

  #### Type parameters

  - #### T1

  - #### T2

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values: List<T2>

  - ##### comparator: Comparator2<T1, T2>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:492
  see

    _.differenceWith

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### comparator: Comparator2<T1, T2 | T3>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:502
  see

    _.differenceWith

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### Rest ...values: Array<List<T4> | Comparator2<T1, T2 | T3 | T4>>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:512
  see

    _.differenceWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...values: Array<List<T>>

  #### Returns LoDashExplicitWrapper<T[]>

### drop

- drop<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, n?: undefined | number): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:542
  see

    _.drop

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional n: undefined | number

  #### Returns LoDashExplicitWrapper<T[]>

### dropRight

- dropRight<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, n?: undefined | number): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:572
  see

    _.dropRight

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional n: undefined | number

  #### Returns LoDashExplicitWrapper<T[]>

### dropRightWhile

- dropRightWhile<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIteratee<T>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:606
  see

    _.dropRightWhile

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

### dropWhile

- dropWhile<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIteratee<T>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:643
  see

    _.dropWhile

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

### fill

- fill<T>(this: LoDashExplicitWrapper<any[] | null | undefined>, value: T): LoDashExplicitWrapper<T[]>
- fill<T>(this: LoDashExplicitWrapper<List<any> | null | undefined>, value: T): LoDashExplicitWrapper<List<T>>
- fill<T, U>(this: LoDashExplicitWrapper<U[] | null | undefined>, value: T, start?: undefined | number, end?: undefined | number): LoDashExplicitWrapper<Array<T | U>>
- fill<T, U>(this: LoDashExplicitWrapper<List<U> | null | undefined>, value: T, start?: undefined | number, end?: undefined | number): LoDashExplicitWrapper<List<T | U>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:739
  see

    _.fill

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<any[] | null | undefined>

  - ##### value: T

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:747
  see

    _.fill

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<any> | null | undefined>

  - ##### value: T

  #### Returns LoDashExplicitWrapper<List<T>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:755
  see

    _.fill

  #### Type parameters

  - #### T

  - #### U

  #### Parameters

  - ##### this: LoDashExplicitWrapper<U[] | null | undefined>

  - ##### value: T

  - ##### Optional start: undefined | number

  - ##### Optional end: undefined | number

  #### Returns LoDashExplicitWrapper<Array<T | U>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:765
  see

    _.fill

  #### Type parameters

  - #### T

  - #### U

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<U> | null | undefined>

  - ##### value: T

  - ##### Optional start: undefined | number

  - ##### Optional end: undefined | number

  #### Returns LoDashExplicitWrapper<List<T | U>>

### findIndex

- findIndex<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>, fromIndex?: undefined | number): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:807
  see

    _.findIndex

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<number>

### findLastIndex

- findLastIndex<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>, fromIndex?: undefined | number): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:847
  see

    _.findLastIndex

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<number>

### first

- first<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>): LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/array.d.ts:871
  see

    _.head

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T | undefined>

### flatten

- flatten<T>(this: LoDashExplicitWrapper<List<Many<T>> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:900
  see

    _.flatten

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<Many<T>> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### flattenDeep

- flattenDeep<T>(this: LoDashExplicitWrapper<ListOfRecursiveArraysOrValues<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:926
  see

    _.flattenDeep

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<ListOfRecursiveArraysOrValues<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### flattenDepth

- flattenDepth<T>(this: LoDashExplicitWrapper<ListOfRecursiveArraysOrValues<T> | null | undefined>, depth?: undefined | number): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:953
  see

    _.flattenDeep

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<ListOfRecursiveArraysOrValues<T> | null | undefined>

  - ##### Optional depth: undefined | number

  #### Returns LoDashExplicitWrapper<T[]>

### fromPairs

- fromPairs<T>(this: LoDashExplicitWrapper<List<[PropertyName, T]> | null | undefined>): LoDashExplicitWrapper<Dictionary<T>>
- fromPairs(this: LoDashExplicitWrapper<List<any[]> | null | undefined>): LoDashExplicitWrapper<Dictionary<any>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1003
  see

    _.fromPairs

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<[PropertyName, T]> | null | undefined>

  #### Returns LoDashExplicitWrapper<Dictionary<T>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1010
  see

    _.fromPairs

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<any[]> | null | undefined>

  #### Returns LoDashExplicitWrapper<Dictionary<any>>

### head

- head<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>): LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1040
  see

    _.head

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T | undefined>

### indexOf

- indexOf<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, value: T, fromIndex?: undefined | number): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1088
  see

    _.indexOf

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### value: T

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<number>

### initial

- initial<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1118
  see

    _.initial

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### intersection

- intersection<T>(this: LoDashExplicitWrapper<List<T>>, ...arrays: Array<List<T>>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1148
  see

    _.intersection

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T>>

  - ##### Rest ...arrays: Array<List<T>>

  #### Returns LoDashExplicitWrapper<T[]>

### intersectionBy

- intersectionBy<T1, T2>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values: List<T2>, iteratee: ValueIteratee<T1 | T2>): LoDashExplicitWrapper<T1[]>
- intersectionBy<T1, T2, T3>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, iteratee: ValueIteratee<T1 | T2 | T3>): LoDashExplicitWrapper<T1[]>
- intersectionBy<T1, T2, T3, T4>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, ...values: Array<List<T4> | ValueIteratee<T1 | T2 | T3 | T4>>): LoDashExplicitWrapper<T1[]>
- intersectionBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...values: Array<List<T>>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1253
  see

    _.intersectionBy

  #### Type parameters

  - #### T1

  - #### T2

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values: List<T2>

  - ##### iteratee: ValueIteratee<T1 | T2>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1262
  see

    _.intersectionBy

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### iteratee: ValueIteratee<T1 | T2 | T3>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1272
  see

    _.intersectionBy

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### Rest ...values: Array<List<T4> | ValueIteratee<T1 | T2 | T3 | T4>>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1282
  see

    _.intersectionBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...values: Array<List<T>>

  #### Returns LoDashExplicitWrapper<T[]>

### intersectionWith

- intersectionWith<T1, T2>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values: List<T2>, comparator: Comparator2<T1, T2>): LoDashExplicitWrapper<T1[]>
- intersectionWith<T1, T2, T3>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, comparator: Comparator2<T1, T2 | T3>): LoDashExplicitWrapper<T1[]>
- intersectionWith<T1, T2, T3, T4>(this: LoDashExplicitWrapper<List<T1> | null | undefined>, values1: List<T2>, values2: List<T3>, ...values: Array<List<T4> | Comparator2<T1, T2 | T3 | T4>>): LoDashExplicitWrapper<T1[]>
- intersectionWith<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...values: Array<List<T>>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1386
  see

    _.intersectionWith

  #### Type parameters

  - #### T1

  - #### T2

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values: List<T2>

  - ##### comparator: Comparator2<T1, T2>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1395
  see

    _.intersectionWith

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### comparator: Comparator2<T1, T2 | T3>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1405
  see

    _.intersectionWith

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1> | null | undefined>

  - ##### values1: List<T2>

  - ##### values2: List<T3>

  - ##### Rest ...values: Array<List<T4> | Comparator2<T1, T2 | T3 | T4>>

  #### Returns LoDashExplicitWrapper<T1[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1415
  see

    _.intersectionWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...values: Array<List<T>>

  #### Returns LoDashExplicitWrapper<T[]>

### join

- join(separator?: undefined | string): LoDashExplicitWrapper<string>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1448
  see

    _.join

  #### Parameters

  - ##### Optional separator: undefined | string

  #### Returns LoDashExplicitWrapper<string>

### last

- last<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>): LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1474
  see

    _.last

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T | undefined>

### lastIndexOf

- lastIndexOf<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, value: T, fromIndex?: true | number): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1510
  see

    _.indexOf

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### value: T

  - ##### Optional fromIndex: true | number

  #### Returns LoDashExplicitWrapper<number>

### nth

- nth<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, n?: undefined | number): LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1547
  see

    _.nth

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional n: undefined | number

  #### Returns LoDashExplicitWrapper<T | undefined>

### pull

- pull<T>(this: LoDashExplicitWrapper<List<T>>, ...values: T[]): this

- - Defined in node_modules/@types/lodash/common/array.d.ts:1593
  see

    _.pull

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T>>

  - ##### Rest ...values: T[]

  #### Returns this

### pullAll

- pullAll<T>(this: LoDashExplicitWrapper<List<T>>, values?: List<T>): this

- - Defined in node_modules/@types/lodash/common/array.d.ts:1647
  see

    _.pullAll

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T>>

  - ##### Optional values: List<T>

  #### Returns this

### remove

- remove<T>(this: LoDashExplicitWrapper<List<T>>, predicate?: ListIteratee<T>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1874
  see

    _.remove

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T>>

  - ##### Optional predicate: ListIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

### slice

- slice<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, start?: undefined | number, end?: undefined | number): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1940
  see

    _.slice

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional start: undefined | number

  - ##### Optional end: undefined | number

  #### Returns LoDashExplicitWrapper<T[]>

### sortedIndex

- sortedIndex<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, value: T): LoDashExplicitWrapper<number>
- sortedIndex<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, value: T): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:1986
  see

    _.sortedIndex

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### value: T

  #### Returns LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2031
  see

    _.sortedIndex

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### value: T

  #### Returns LoDashExplicitWrapper<number>

### sortedIndexBy

- sortedIndexBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, value: T, iteratee?: ValueIteratee<T>): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2082
  see

    _.sortedIndexBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### value: T

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<number>

### sortedIndexOf

- sortedIndexOf<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, value: T): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2125
  see

    _.sortedIndexOf

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### value: T

  #### Returns LoDashExplicitWrapper<number>

### sortedLastIndex

- sortedLastIndex<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, value: T): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2168
  see

    _.sortedLastIndex

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### value: T

  #### Returns LoDashExplicitWrapper<number>

### sortedLastIndexBy

- sortedLastIndexBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, value: T, iteratee: ValueIteratee<T>): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2215
  see

    _.sortedLastIndexBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### value: T

  - ##### iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<number>

### sortedLastIndexOf

- sortedLastIndexOf<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, value: T): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2258
  see

    _.sortedLastIndexOf

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### value: T

  #### Returns LoDashExplicitWrapper<number>

### sortedUniq

- sortedUniq<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2295
  see

    _.sortedUniq

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### sortedUniqBy

- sortedUniqBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee: ValueIteratee<T>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2334
  see

    _.sortedUniqBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

### tail

- tail<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2363
  see

    _.tail

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### take

- take<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, n?: undefined | number): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2396
  see

    _.take

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional n: undefined | number

  #### Returns LoDashExplicitWrapper<T[]>

### takeRight

- takeRight<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, n?: undefined | number): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2432
  see

    _.takeRight

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional n: undefined | number

  #### Returns LoDashExplicitWrapper<T[]>

### takeRightWhile

- takeRightWhile<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIteratee<T>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2469
  see

    _.takeRightWhile

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

### takeWhile

- takeWhile<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIteratee<T>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2506
  see

    _.takeWhile

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

### union

- union<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...arrays: Array<List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2539
  see

    _.union

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...arrays: Array<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### unionBy

- unionBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee?: ValueIteratee<T>): LoDashExplicitWrapper<T[]>
- unionBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, iteratee?: ValueIteratee<T>): LoDashExplicitWrapper<T[]>
- unionBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, arrays3: List<T> | null | undefined, iteratee?: ValueIteratee<T>): LoDashExplicitWrapper<T[]>
- unionBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, arrays3: List<T> | null | undefined, arrays4: List<T> | null | undefined, iteratee?: ValueIteratee<T>): LoDashExplicitWrapper<T[]>
- unionBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, arrays3: List<T> | null | undefined, arrays4: List<T> | null | undefined, arrays5: List<T> | null | undefined, ...iteratee: Array<ValueIteratee<T> | List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2661
  see

    _.unionBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2669
  see

    _.unionBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2678
  see

    _.unionBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### arrays3: List<T> | null | undefined

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2688
  see

    _.unionBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### arrays3: List<T> | null | undefined

  - ##### arrays4: List<T> | null | undefined

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2699
  see

    _.unionBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### arrays3: List<T> | null | undefined

  - ##### arrays4: List<T> | null | undefined

  - ##### arrays5: List<T> | null | undefined

  - ##### Rest ...iteratee: Array<ValueIteratee<T> | List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### unionWith

- unionWith<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, comparator?: Comparator<T>): LoDashExplicitWrapper<T[]>
- unionWith<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, comparator?: Comparator<T>): LoDashExplicitWrapper<T[]>
- unionWith<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, arrays3: List<T> | null | undefined, ...comparator: Array<Comparator<T> | List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2787
  see

    _.unionWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional comparator: Comparator<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2795
  see

    _.unionWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### Optional comparator: Comparator<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2804
  see

    _.unionWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### arrays3: List<T> | null | undefined

  - ##### Rest ...comparator: Array<Comparator<T> | List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### uniq

- uniq<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2845
  see

    _.uniq

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### uniqBy

- uniqBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee: ValueIteratee<T>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2889
  see

    _.uniqBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

### uniqWith

- uniqWith<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, comparator?: Comparator<T>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2934
  see

    _.uniqWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional comparator: Comparator<T>

  #### Returns LoDashExplicitWrapper<T[]>

### unzip

- unzip<T>(this: LoDashExplicitWrapper<T[][] | List<List<T>> | null | undefined>): LoDashExplicitWrapper<T[][]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:2964
  see

    _.unzip

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T[][] | List<List<T>> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[][]>

### unzipWith

- unzipWith<T, TResult>(this: LoDashExplicitWrapper<List<List<T>> | null | undefined>, iteratee: function): LoDashExplicitWrapper<TResult[]>
- unzipWith<T>(this: LoDashExplicitWrapper<List<List<T>> | null | undefined>): LoDashExplicitWrapper<T[][]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3012
  see

    _.unzipWith

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<List<T>> | null | undefined>

  - ##### iteratee: function

    - - (...values: T[]): TResult

      - #### Parameters

        - ##### Rest ...values: T[]

        #### Returns TResult

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3020
  see

    _.unzipWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<List<T>> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[][]>

### without

- without<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...values: T[]): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3055
  see

    _.without

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...values: T[]

  #### Returns LoDashExplicitWrapper<T[]>

### xor

- xor<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...arrays: Array<List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3087
  see

    _.xor

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...arrays: Array<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### xorBy

- xorBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee?: ValueIteratee<T>): LoDashExplicitWrapper<T[]>
- xorBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, iteratee?: ValueIteratee<T>): LoDashExplicitWrapper<T[]>
- xorBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, arrays3: List<T> | null | undefined, ...iteratee: Array<ValueIteratee<T> | List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3172
  see

    _.xorBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3180
  see

    _.xorBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3189
  see

    _.xorBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### arrays3: List<T> | null | undefined

  - ##### Rest ...iteratee: Array<ValueIteratee<T> | List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### xorWith

- xorWith<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, comparator?: Comparator<T>): LoDashExplicitWrapper<T[]>
- xorWith<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, comparator?: Comparator<T>): LoDashExplicitWrapper<T[]>
- xorWith<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, arrays2: List<T> | null | undefined, arrays3: List<T> | null | undefined, ...comparator: Array<Comparator<T> | List<T> | null | undefined>): LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3275
  see

    _.xorWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional comparator: Comparator<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3283
  see

    _.xorWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### Optional comparator: Comparator<T>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3292
  see

    _.xorWith

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### arrays2: List<T> | null | undefined

  - ##### arrays3: List<T> | null | undefined

  - ##### Rest ...comparator: Array<Comparator<T> | List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

### zip

- zip<T1, T2>(this: LoDashExplicitWrapper<List<T1>>, arrays2: List<T2>): LoDashExplicitWrapper<Array<[T1 | undefined, T2 | undefined]>>
- zip<T1, T2, T3>(this: LoDashExplicitWrapper<List<T1>>, arrays2: List<T2>, arrays3: List<T3>): LoDashExplicitWrapper<Array<[T1 | undefined, T2 | undefined, T3 | undefined]>>
- zip<T1, T2, T3, T4>(this: LoDashExplicitWrapper<List<T1>>, arrays2: List<T2>, arrays3: List<T3>, arrays4: List<T4>): LoDashExplicitWrapper<Array<[T1 | undefined, T2 | undefined, T3 | undefined, T4 | undefined]>>
- zip<T1, T2, T3, T4, T5>(this: LoDashExplicitWrapper<List<T1>>, arrays2: List<T2>, arrays3: List<T3>, arrays4: List<T4>, arrays5: List<T5>): LoDashExplicitWrapper<Array<[T1 | undefined, T2 | undefined, T3 | undefined, T4 | undefined, T5 | undefined]>>
- zip<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...arrays: Array<List<T> | null | undefined>): LoDashExplicitWrapper<Array<Array<T | undefined>>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3385
  see

    _.zip

  #### Type parameters

  - #### T1

  - #### T2

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1>>

  - ##### arrays2: List<T2>

  #### Returns LoDashExplicitWrapper<Array<[T1 | undefined, T2 | undefined]>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3393
  see

    _.zip

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1>>

  - ##### arrays2: List<T2>

  - ##### arrays3: List<T3>

  #### Returns LoDashExplicitWrapper<Array<[T1 | undefined, T2 | undefined, T3 | undefined]>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3402
  see

    _.zip

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1>>

  - ##### arrays2: List<T2>

  - ##### arrays3: List<T3>

  - ##### arrays4: List<T4>

  #### Returns LoDashExplicitWrapper<Array<[T1 | undefined, T2 | undefined, T3 | undefined, T4 | undefined]>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3412
  see

    _.zip

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1>>

  - ##### arrays2: List<T2>

  - ##### arrays3: List<T3>

  - ##### arrays4: List<T4>

  - ##### arrays5: List<T5>

  #### Returns LoDashExplicitWrapper<Array<[T1 | undefined, T2 | undefined, T3 | undefined, T4 | undefined, T5 | undefined]>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3423
  see

    _.zip

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...arrays: Array<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<Array<Array<T | undefined>>>

### zipObject

- zipObject<T>(this: LoDashExplicitWrapper<List<PropertyName>>, values: List<T>): LoDashExplicitWrapper<Dictionary<T>>
- zipObject(this: LoDashExplicitWrapper<List<PropertyName>>): LoDashExplicitWrapper<Dictionary<undefined>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3474
  see

    _.zipObject

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<PropertyName>>

  - ##### values: List<T>

  #### Returns LoDashExplicitWrapper<Dictionary<T>>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3482
  see

    _.zipObject

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<PropertyName>>

  #### Returns LoDashExplicitWrapper<Dictionary<undefined>>

### zipObjectDeep

- zipObjectDeep(this: LoDashExplicitWrapper<List<PropertyPath>>, values?: List<any>): LoDashExplicitWrapper<object>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3517
  see

    _.zipObjectDeep

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<PropertyPath>>

  - ##### Optional values: List<any>

  #### Returns LoDashExplicitWrapper<object>

### zipWith

- zipWith<T, TResult>(this: LoDashExplicitWrapper<List<T>>, iteratee: function): LoDashExplicitWrapper<TResult[]>
- zipWith<T1, T2, TResult>(this: LoDashExplicitWrapper<List<T1>>, arrays2: List<T2>, iteratee: function): LoDashExplicitWrapper<TResult[]>
- zipWith<T1, T2, T3, TResult>(this: LoDashExplicitWrapper<List<T1>>, arrays2: List<T2>, arrays3: List<T3>, iteratee: function): LoDashExplicitWrapper<TResult[]>
- zipWith<T1, T2, T3, T4, TResult>(this: LoDashExplicitWrapper<List<T1>>, arrays2: List<T2>, arrays3: List<T3>, arrays4: List<T4>, iteratee: function): LoDashExplicitWrapper<TResult[]>
- zipWith<T1, T2, T3, T4, T5, TResult>(this: LoDashExplicitWrapper<List<T1>>, arrays2: List<T2>, arrays3: List<T3>, arrays4: List<T4>, arrays5: List<T5>, iteratee: function): LoDashExplicitWrapper<TResult[]>
- zipWith<T, TResult>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...iteratee: Array<function | List<T> | null | undefined>): LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3653
  see

    _.zipWith

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T>>

  - ##### iteratee: function

    - - (value1: T): TResult

      - #### Parameters

        - ##### value1: T

        #### Returns TResult

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3661
  see

    _.zipWith

  #### Type parameters

  - #### T1

  - #### T2

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1>>

  - ##### arrays2: List<T2>

  - ##### iteratee: function

    - - (value1: T1, value2: T2): TResult

      - #### Parameters

        - ##### value1: T1

        - ##### value2: T2

        #### Returns TResult

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3670
  see

    _.zipWith

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1>>

  - ##### arrays2: List<T2>

  - ##### arrays3: List<T3>

  - ##### iteratee: function

    - - (value1: T1, value2: T2, value3: T3): TResult

      - #### Parameters

        - ##### value1: T1

        - ##### value2: T2

        - ##### value3: T3

        #### Returns TResult

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3680
  see

    _.zipWith

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1>>

  - ##### arrays2: List<T2>

  - ##### arrays3: List<T3>

  - ##### arrays4: List<T4>

  - ##### iteratee: function

    - - (value1: T1, value2: T2, value3: T3, value4: T4): TResult

      - #### Parameters

        - ##### value1: T1

        - ##### value2: T2

        - ##### value3: T3

        - ##### value4: T4

        #### Returns TResult

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3691
  see

    _.zipWith

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T1>>

  - ##### arrays2: List<T2>

  - ##### arrays3: List<T3>

  - ##### arrays4: List<T4>

  - ##### arrays5: List<T5>

  - ##### iteratee: function

    - - (value1: T1, value2: T2, value3: T3, value4: T4, value5: T5): TResult

      - #### Parameters

        - ##### value1: T1

        - ##### value2: T2

        - ##### value3: T3

        - ##### value4: T4

        - ##### value5: T5

        #### Returns TResult

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/array.d.ts:3703
  see

    _.zipWith

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...iteratee: Array<function | List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<TResult[]>

Generated using TypeDoc